import request from '@/utils/request'

// 查询预警日志列表
export function listLogs(query) {
  return request({
    url: '/enterprise/logs/list',
    method: 'get',
    params: query
  })
}

// 查询预警日志详细
export function getLogs(id) {
  return request({
    url: '/enterprise/logs/' + id,
    method: 'get'
  })
}

// 新增预警日志
export function addLogs(data) {
  return request({
    url: '/enterprise/logs',
    method: 'post',
    data: data
  })
}

// 修改预警日志
export function updateLogs(data) {
  return request({
    url: '/enterprise/logs',
    method: 'put',
    data: data
  })
}

// 删除预警日志
export function delLogs(id) {
  return request({
    url: '/enterprise/logs/' + id,
    method: 'delete'
  })
}
